package com.zaojiao.app.core.auth.ui

import androidx.lifecycle.ViewModel
import com.zaojiao.app.core.auth.data.AuthRepository
import com.zaojiao.app.core.auth.model.TokenModel
import javax.inject.Inject

class TokenViewModel @Inject constructor(
    private val authRepository: AuthRepository,
) : ViewModel() {

    suspend fun saveToken(tokenModel: TokenModel) {
        authRepository.updateToken(tokenModel)
    }
}